Subject: Re: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Eli Zaretskii <[email-masked]>
Date: Thu, 12 Dec 2024 21:25:47 +0200

> Date: Thu, 12 Dec 2024 13:12:46 -0500
> Cc: [email-masked]
> From: Ken Brown <[email-masked]>
> 
> >>     https://github.com/kbrow1i/mps-cygwin
> >>
> >> This is a fork of the mps git repo with two commits on top.
> > 
> > Thanks, good news!  Could you please post the patches here, so that
> > they are recorded in our bug tracker?
> 
> Unfortunately, the approach I tried, which was suggested by one of the 
> MPS developers, fails badly.  I already mentioned the test failures, but 
> now I've tried to run Emacs interactively, and I can't even get a 
> directory listing.  For the record, I'm attaching the patches I've 
> accumulated so far, but I'll have to try a completely different 
> approach.  This will probably take me a while.
> > 
> >> With the current attempt, I can build the scratch/igc branch, but there
> >> are many test failures.  For example, when I run the process-tests, I
> >> get 19 failures and 8 skipped tests.  But on the master branch I get no
> >> failures and only 3 skipped.
> >>
> >> This probably means that my current attempt to port mps is no good, and
> >> I have to go back to the drawing board.
> > 
> > Did you run the MPS test suite, and if you did, were there any
> > failures?  My suggestion is to make sure the MPS test suite passes
> > cleanly, including in several consecutive runs (when I ported MPS to
> > 32-bit MinGW, I had intermittent failures which only happened once in
> > several runs, until I fixed that).
> 
> There are lots of test failures.  Back to the drawing board.

OK, thanks.

FTR, I built the official released version of MPS, not their latest
code in the repository.  So maybe try that as well at some point,
perhaps the development version has new bugs.

What I did was to take the MSVC makefiles they provide and produce
equivalent MinGW makefiles (for GNU Make) instead, using the same
source files.  The rest was just to resolve any compilation warnings
or errors.  HTH.